#define warn(msg) \
	iformat(ierr, 'c', PROGNAME ": ", 'c', msg, 'c', "\n", 0)

#define warn2(msg1, msg2) \
	iformat(ierr, 'c', PROGNAME ": ", 'c', msg1, \
		'c', ": ", 'c', msg2, 'c', "\n", 0)

#define die(msg) \
	do { \
		warn(msg); \
		exit(111); \
	} while (0)

#define die2(msg1, msg2) \
	do { \
		warn2(msg1, msg2); \
		exit(111); \
	} while (0)

#ifndef MAX
#define MAX(x, y) ((x) > (y) ? (x) : (y))
#endif

